' This script deletes a folder.
Sub deleteFolder()
	' Set variables
	Dim fso
    Dim folderName
    Dim folderPath
    Dim folderToBeDeleted
    Dim msg
    ' Set folder path
    folderPath = "F:\VBAmacros\VBScript\"
    ' Set folder name
    folderName = "My Folder"
    ' Ser folder to be deleted
    folderToBeDeleted = folderPath & folderName
    ' Create a file system object
    Set fso = Wscript.CreateObject("Scripting.FileSystemObject")
    ' Check if the folder already exists
    If Not fso.FolderExists(folderToBeDeleted) Then
        ' Set a message
        msg = "Warning! " & folderName & " not found!"
        ' Output a message
        MsgBox msg
    Else
        ' Delete folder
        fso.DeleteFolder(folderToBeDeleted)
        ' Check if folder still exists
        If Not fso.FolderExists(folderToBeDeleted) Then
            ' Set a message
            msg = "Success! " & folderName & " was successfully deleted!"
            ' Output a message
            MsgBox msg
        Else
            ' Set a message
            msg = "Error! " & folderName & " was not deleted!"
            ' Output a message
            MsgBox msg
        End If
    End If
    ' Release the file system object
	Set fso = Nothing
End Sub
' Run the procedure
Call deleteFolder()